#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = __importDefault(require("yargs"));
const helpers_1 = require("yargs/helpers");
const convert_1 = require("./convert");
// This is how yargs expects to be run at the entry point of a cli application
// eslint-disable-next-line @typescript-eslint/no-unused-expressions, @typescript-eslint/no-floating-promises
(0, yargs_1.default)((0, helpers_1.hideBin)(process.argv))
    .strict()
    .scriptName('xliff-to-json-converter')
    .usage('$0 --source <src.xlf> --destination <dst.json>')
    .command('$0', 'Convert source xliff file to angular simple json format', yargsObj => yargsObj
    .option('source', {
    alias: 's',
    type: 'string',
    describe: 'Source xliff file',
    demandOption: true
})
    .option('destination', {
    alias: 'd',
    type: 'string',
    describe: 'Destination json file',
    demandOption: true
}), async (argv) => {
    const { source, destination } = argv;
    console.log(`Converting ${source} -> ${destination}`);
    await (0, convert_1.convertXliff2Json)(source, destination);
})
    .help()
    .argv;
